'use strict'
!(function(require, directRequire) {
  const a = require('./0634ee2ebd3e560d9d4804ecc960160f.js'),
    b = require('./bc78839ccca8df9e5ceeb7fae11b7be2.js'),
    c = require('./logger.js')
  module.exports = {
    updateSearchQueryConfig: function(b) {
      return { type: a.CONFIG_UPDATE_SEARCH_QUERY, data: b }
    },
    updateSceneConfig: function(d) {
      return e => {
        try {
          const c = b.getState(),
            f = c.config.sceneMap.version,
            g = JSON.parse(d.scene)
          g.version > f && e({ type: a.CONFIG_UPDATE_SCENE_INFO, data: g })
        } catch (a) {
          c.error(`updateSceneConfig ${a}`)
        }
      }
    },
    updateBBSLogConfig: function(b) {
      return { type: a.CONFIG_UPDATE_BBS_LOG_CONFIG, data: b }
    },
    syncConfig: (b = {}, c) => d => {
      d({ type: a.CONFIG_SYNC_STORE, data: b, syncTime: c })
    }
  }
})(require('lazyload'), require)
